'''
Automatic verification that the ANUGA code validates against the patong
dataset as expected.
'''

import os
import glob
import unittest
import project


class Test_Patong(unittest.TestCase):
    def setUp(self):
        # Remove garbage
        for file in glob.glob('./*.stdout'):
            os.remove(file)
        for file in glob.glob('./*.sww'):
            os.remove(file)
        for file in glob.glob('./*.msh'):
            os.remove(file)

        # Check that environment variables are defined.
        if os.getenv(project.ENV_INUNDATIONHOME) is None:
            msg = ("Environment variable '%s' is not set in project.py"
                   % project.ENV_INUNDATIONHOME)
            raise Exception, msg

        if os.getenv(project.ENV_MUXHOME) is None:
            msg = ("Environment variable '%s' is not set in project.py"
                   % project.ENV_MUXHOME)
            raise Exception, msg

    def test_that_output_is_as_expected(self):
        s = 'run_model.py'
        res = os.system('python %s > run_patong.stdout' % s)
        assert res == 0

        s = 'compare_output_with_expected.py'
        res = os.system('python %s > compare_output_with_expected.py.stdout'
                        % s)
        assert res == 0

################################################################################

if __name__ == "__main__":
    suite = unittest.makeSuite(Test_Patong, 'test')
    runner = unittest.TextTestRunner(verbosity=2)
    runner.run(suite)
